Can't install logs integration on Ubuntu 21.04

when installing new relic, its always say log not supported on this linux version.

here is the log:

==> Installing Infrastructure Agent...

Hit:1 https://deb.nodesource.com/node_12.x hirsute InRelease
Hit:2 https://download.newrelic.com/infrastructure_agent/linux/apt hirsute InRelease
Hit:3 https://dl.yarnpkg.com/debian stable InRelease
Hit:4 http://security.ubuntu.com/ubuntu hirsute-security InRelease
Hit:5 http://archive.ubuntu.com/ubuntu hirsute InRelease
Hit:6 http://archive.ubuntu.com/ubuntu hirsute-updates InRelease
Hit:7 http://archive.ubuntu.com/ubuntu hirsute-backports InRelease
Ign:8 https://oss-binaries.phusionpassenger.com/apt/passenger focal InRelease
Hit:9 https://oss-binaries.phusionpassenger.com/apt/passenger focal Release
Reading package lists...
Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
OK
Hit:1 https://deb.nodesource.com/node_12.x hirsute InRelease
Hit:2 https://dl.yarnpkg.com/debian stable InRelease
Hit:3 https://download.newrelic.com/infrastructure_agent/linux/apt hirsute InRelease
Hit:4 http://archive.ubuntu.com/ubuntu hirsute InRelease
Hit:5 http://security.ubuntu.com/ubuntu hirsute-security InRelease
Hit:6 http://archive.ubuntu.com/ubuntu hirsute-updates InRelease
Hit:7 http://archive.ubuntu.com/ubuntu hirsute-backports InRelease
Ign:8 https://oss-binaries.phusionpassenger.com/apt/passenger focal InRelease
Hit:9 https://oss-binaries.phusionpassenger.com/apt/passenger focal Release
Reading package lists...
Running agent status check attempt...
Agent status check ok.

  ✅ Checking for data in New Relic (this may take a few minutes)...success.

  ⚙️  The Infrastructure Agent configuration file can be found in /etc/newrelic-infra.yml
  Edit this file to make changes or configure advanced features for the agent. See the docs for options:
  https://docs.newrelic.com/docs/infrastructure/install-infrastructure-agent/configuration/infrastructure-agent-configuration-settings
  
  Note: Process monitoring has been enabled by default - all other config options are left to the user.

==> Installing Infrastructure Agent...success.

==> Installing Logs integration...

Logging is not supported on this linux version
==> Installing Logs integration...incomplete.


  New Relic installation complete 

  --------------------
  Installation Summary

  ✔  Infrastructure Agent  (installed)  
  ⊘  Logs integration  (unsupported)  
    Golden Signal Alerts  (available)  
    PostgreSQL Open Source Integration  (available)  
    Redis Open Source Integration  (available)  

  Installation was successful overall, however, one or more installations could not be completed.
  Follow the instructions at the URL below to complete the installation process. 

  ⮕  https://onenr.io/0X8woxaZqRx

  --------------------

Hi, @fahmiirsyad10: You might try following the instructions here to configure the Infrastructure agent to forward logs to New Relic: Forward your logs using the infrastructure agent | New Relic Documentation.

already configure logging.yml, but i see the supported ubuntu version only 20.04.
so, ubuntu 21.04 isn’t supported ?

If that’s what the docs say, then it must be true. :slight_smile: The fact that it is not supported, however, does not mean it won’t work, just that we cannot help you if it doesn’t. Try it!